#read file with frequency of wheel passes
# the single work processes from 2014 to 2018
wheelpass <- read.csv(file="./S4_frequency_wheelpass_SuppInfo.csv", head=T, sep=',', )
wheelload <- read.csv(file="./S4_frequency_wheelload_SuppInfo.csv", head=T, sep=',', )

# Wheel passes
wheelpass_summed <-  data.frame()

# calculate the field area of wheel passes affected by work process
for (i in 1:nrow(wheelpass)) {
sum_column5 <- (sum(wheelpass[i,c(8:11)],na.rm=T)/wheelpass[i,108])*100
sum_column100 <- (sum(wheelpass[i,c(12:107)],na.rm=T)/wheelpass[i,108])*100
sum_columnall <- (sum(wheelpass[i,c(8:107)],na.rm=T)/wheelpass[i,108])*100
new_row <- data.frame(wheelpass[i,1],wheelpass[i,2],wheelpass[i,3],wheelpass[i,4],wheelpass[i,5],wheelpass[i,7],sum_column5,sum_column100,sum_columnall)
wheelpass_summed <- rbind(wheelpass_summed,new_row)
}

#set names
names(wheelpass_summed) <- c("field","season","crop","work_process","tablename","field_part","under5passes","more5passes","totalarea")

#wheel load
###### wheel load was exported wrong from the db - start again when fixed
wheelload_summed <-  data.frame()

# calculate the field area of wheel passes affected by work process
for (i in 1:nrow(wheelload)) {
sum_column5 <- (sum(wheelload[i,c(9:13)],na.rm=T)/wheelload[i,25])*100
sum_column100 <- (sum(wheelload[i,c(14:24)],na.rm=T)/wheelload[i,25])*100
sum_columnall <- (sum(wheelload[i,c(9:24)],na.rm=T)/wheelload[i,25])*100
new_row <- data.frame(wheelload[i,1],wheelload[i,2],wheelload[i,3],wheelload[i,4],wheelload[i,5],wheelload[i,7],wheelload[i,8],sum_column5,sum_column100,sum_columnall)
wheelload_summed <- rbind(wheelload_summed,new_row)
}

#set names
names(wheelload_summed) <- c("field","season","crop","work_process","tablename","field_part","method","under5Mg","more5Mg","totalarea")

# write to csv
write.csv(wheelload_summed,"./frequency_wheelload_summed.csv", row.names=T)
write.csv(wheelpass_summed,"./frequency_wheelpass_summed.csv", row.names=T)
 